Subject: [os2genau_digest] No. 1990
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 24 Jul 2010 00:00:37 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Friday 23 July 2010
 Number  1990
**************************************************

Subjects for today
 
1  Re:  BootManager : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  BootManager : Nicholas Lysaght <nicholasrf at gmail dot com>
3  Re:  BootManager : Nicholas Lysaght <nicholasrf at gmail dot com>
4  Re:  BootManager : Mike O'Connor <mikeoc at internode.on dot net>
5  Re:  BootManager : Mike O'Connor <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Fri, 23 Jul 2010 06:00:53 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  BootManager

Mike O'Connor wrote:
> Ed Durrant wrote:
>> Alan Duval wrote:
>>> I have just bought a new PC which has WIN 7 installed on a 500G Sata 
>>> drive. I want to install eCS 2.0 and have read the Quick 
>>> installation Guide which recommends resizing the Windows partition, 
>>> installing BootManager and then making a logical partition to 
>>> install eCS.
>>> DFSee shows the HD to have Free space primary of 1MB, then a Primary 
>>> Inst-FSys NTFS partition of 100MB with the Volume name "System 
>>> Rescue", then a primary Inst-FSys NTFS partition of 476838 MB  and 
>>> this is followed by free space  PRI/LOG of 6.4 MB.
>>>
>>> If I resize the 476838 partition to allow installation of eCS where 
>>> will BootManager be installed?
>>> I had understood that BootManager had to be the first partition.
>>> Has anyone installed eCS 2.0 to a HD where WIN 7 is already 
>>> installed and if so  have you had any problems booting WIN 7?
>>> Apparently it can make WIN 7 unbootable.
>>>
>>> Also I would like to install Ubuntu 10.4 on the same disk and add it 
>>> to BootManager. If I make a partition for Ubuntu and mark it as root 
>>> will Grub 2 be put in that partition or does Ubuntu put Grub at the 
>>> start of the HD?
>>>
>> Hi Alan
>>
>>  Note that you can only have 4 primary partitions on a drive. The IBM 
>> BM needs a Primary partition as does the extended partition that will 
>> include your logical drives. Often when you buy a system that has 
>> recovery and/or maintenance-utility partitions on the drive, you will 
>> find that you can reduce the size of the windows partition only to 
>> find that you cannot create a new partition in the freespace created!
>>
>> Boot manager does not have to be the first partition on the drive. I 
>> often make it the last but I believe it can go anywhere as when you 
>> install it the boot sector on the drive is modified to jump to the 
>> Boot Manager whereever you put it.
>>
>> If you hit the problem I described in the first paragraph, you may 
>> want to look at Airboot as your boot manager as it does not need a 
>> primary partition to work.
>>
>>
> Hi Alan, Ed,
>
> Ed, doesn't Airboot have a problem with JFSBooting?
Not sure it could have.
>
> Although I haven't worked with Windows 7 (manipulated a disk with it 
> installed on), I was under the impression that it also created an 
> MSFT-specific primary partition (hidden - and which contains the real 
> partitions on the disk - not the dummy MBR it shows third-party disk 
> utilities)!
>
Windows 7 has emulated Linux distributions in that it "can" create 
separate boot,  OS and application partitions for its install. On a 
pre-installed system, these are almost always the same (C:) partition.
> From what you say there are currently only two primaries - you can 
> ignore that first one of 1MB, (which leads me to think that this _is_ 
> a GPT-partitioned disk, on which all cylinders are only 1MB, not the 
> conventional 8MB when using geometry of 255 heads, 63 sectors per 
> cylinder!), so that doesn't actually count as a primary, unless used 
> by IBM BM in that position, BUT that assumes that IBM BM commences on 
> head1 of that cylinder.
>
> So you should still be able to add IBM BM in the final cylinder of the 
> disk, and create logical partitions for eCS and Linux in an extended 
> primary (implicitly created when creating the logicals).
>
> I haven't installed Ubuntu 10.4, so don't know whether that yet has 
> the option during a (regular) installation to have GRUB located within 
> its own partition, rather than the default location of adjacent to the 
> MBR sector (the first on the disk). some other Linux distributions do 
> give one that option (e.g. PCLinuxOS), which doesn't screw up the 
> Windows 7 booting.
>
> HTH
>
> Regards,
> Mike
>

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Fri, 23 Jul 2010 10:06:24 +0800
From:  Nicholas Lysaght <nicholasrf at gmail dot com>
Subject:  Re:  BootManager

Hi All.

A bit of deja vu, after writing to Ed last night.

On 23 July 2010 04:00, Ed Durrant <edurrant at durrant dot mine dot nu> wrote:
> Mike O'Connor wrote:
>>
>> Ed Durrant wrote:
>>>
>>> Alan Duval wrote:
>>>>
>>>> I have just bought a new PC which has WIN 7 installed on a 500G Sata
>>>> drive. I want to install eCS 2.0 and have read the Quick installation Guide
>>>> which recommends resizing the Windows partition, installing BootManager and
>>>> then making a logical partition to install eCS.
>>>> DFSee shows the HD to have Free space primary of 1MB, then a Primary
>>>> Inst-FSys NTFS partition of 100MB with the Volume name "System Rescue", then
>>>> a primary Inst-FSys NTFS partition of 476838 MB  and this is followed by
>>>> free space  PRI/LOG of 6.4 MB.
>>>>
So did I. Mine was a Compaq CQ322AN box, on sale at Harvey Norman. The
web page is still available. This one only had a 320GiB HDD, with 3
Primary Partitions, exactly as you have listed above, save the
difference in size of the main windows partition. Interestingly, Alex
Taylor's Manage Partition Manager did not pick up the Recovery/System
Rescue Partition, but DFSee did.

As I an writing now, I have a system that I devised and works for me,
using Air Boot, and a system that Doug has sent over asking me to
experiment with (that probably will work) that does not use Air Boot.
More to come. :-)

>>>> If I resize the 476838 partition to allow installation of eCS where will
>>>> BootManager be installed?
>>>> I had understood that BootManager had to be the first partition.
>>>> Has anyone installed eCS 2.0 to a HD where WIN 7 is already installed
>>>> and if so  have you had any problems booting WIN 7?
>>>> Apparently it can make WIN 7 unbootable.
>>>>
>>>> Also I would like to install Ubuntu 10.4 on the same disk and add it to
>>>> BootManager. If I make a partition for Ubuntu and mark it as root will Grub
>>>> 2 be put in that partition or does Ubuntu put Grub at the start of the HD?
>>>>
>>> Hi Alan
>>>
>>>  Note that you can only have 4 primary partitions on a drive. The IBM BM
>>> needs a Primary partition as does the extended partition that will include
>>> your logical drives. Often when you buy a system that has recovery and/or
>>> maintenance-utility partitions on the drive, you will find that you can
>>> reduce the size of the windows partition only to find that you cannot create
>>> a new partition in the freespace created!

I can second that. Even when using Air Boot to the MBR, I found a
Logical Partition assigned by me for eCs could be created but could
not be Set Installable..the message "Boot Manager not found" seems to
attest to this.

Therefore I have some bad news. That Recovery Partition has to go.
Before you do that, though (and I'm sure that has already been done),
That Recovery Partition must be backed up and verified to DVD (in
fact, it uses 2xDVD's).

>>>
>>> Boot manager does not have to be the first partition on the drive. I
>>> often make it the last but I believe it can go anywhere as when you install
>>> it the boot sector on the drive is modified to jump to the Boot Manager
>>> whereever you put it.
>>>
>>> If you hit the problem I described in the first paragraph, you may want
>>> to look at Airboot as your boot manager as it does not need a primary
>>> partition to work.
>>>
>>>
>> Hi Alan, Ed,
>>
>> Ed, doesn't Airboot have a problem with JFSBooting?
>
> Not sure it could have.

In the method I made up (which is pretty ramshackle) no, it didn't.

>>
>> Although I haven't worked with Windows 7 (manipulated a disk with it
>> installed on), I was under the impression that it also created an
>> MSFT-specific primary partition (hidden - and which contains the real
>> partitions on the disk - not the dummy MBR it shows third-party disk
>> utilities)!
>>
> Windows 7 has emulated Linux distributions in that it "can" create separate
> boot,  OS and application partitions for its install. On a pre-installed
> system, these are almost always the same (C:) partition.
>>
>> From what you say there are currently only two primaries - you can ignore
>> that first one of 1MB, (which leads me to think that this _is_ a
>> GPT-partitioned disk, on which all cylinders are only 1MB, not the
>> conventional 8MB when using geometry of 255 heads, 63 sectors per
>> cylinder!), so that doesn't actually count as a primary, unless used by IBM
>> BM in that position, BUT that assumes that IBM BM commences on head1 of that
>> cylinder.
>>
>> So you should still be able to add IBM BM in the final cylinder of the
>> disk, and create logical partitions for eCS and Linux in an extended primary
>> (implicitly created when creating the logicals).
>>
>> I haven't installed Ubuntu 10.4, so don't know whether that yet has the
>> option during a (regular) installation to have GRUB located within its own
>> partition, rather than the default location of adjacent to the MBR sector
>> (the first on the disk). some other Linux distributions do give one that
>> option (e.g. PCLinuxOS), which doesn't screw up the Windows 7 booting.
>>
>> HTH
>>
>> Regards,
>> Mike
>>
>
>
> --
> Cheers/eCS2.0
>
> Ed
>
> Please checkout my podcasts at:
> http://eComStationAustralia.podbean dot com or via iTunes
> To subscribe - click this: http://eComStationAustralia.podbean dot com/feed
>
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>

 "Automatic" booting to anything should not be allowed. When
installing, the Maintenance Console should be invoked on Phases 1 and
2, and even maybe 3....at least until the system gets settled. If
using BM by itself, I did find that pressing Ctrl+Alt+Del after an
automatic boot would bring up Boot Manager. I could continue to
install eCs, but if I Used the Windows option on our BM, it would
again default to that Windows Boot Menu.

If you are at that position, I found (luckily) that the Recovery DVD
will actually restore the Windows MBR (only), which saves trashing the
whole thing.

My system, with Air Boot, is this:

1) Go to the Sourceforge Address of Air Boot. Download the ISO version
of it. Burn it to CD. It boots and install's Air Boot to your
computer.

2) Using Windows Disk Shrinker, I was able to bludgeon the windows
large partition back to about 148GiB....more than enough for what I
want.

3) Kill the recovery partition (see earlier notes).

4) Start eCs Installation. Install our BM. Setup your logical
partiton. Save it. Ensure it is Installable.

5) Remove the eCs Disk. Insert the Air Boot (AB) Disk. CAD. Install
Air Boot. Optional: Test to see if Win7 still works.

6) Re-insert eCs Disk. Re-start installation, until the Installable
Line shows (after Manage Partitions). Select TZ, Devices etc....start
the installation.

7) Check "Invoke Maintenace" Console on Phase 1. When system stops,
repeat #5 above.

8) Re-insert eCs Disk. AB will come up. Point it to the eCs install.
Phase 2 should continue.

9) Repeat this same process again at the end of Phase 2 and (if
neccessary) Phase 3.

If all goes to plan (and, no doubt, I've probably left something
important out), AB should work well (after a bit of customisation),
and you can bot both win7 and eCs. It's a bit ramshackle, but it works
for me. I saw a web page saying to try Air Boot, but had no idea how
to go about it. Then, one night it just sorta "came"..I can't explain
it.

The non Air Boot system comes from Doug Bissett. Please give me a
little time to find out if I have his permission to pass it on, and I
will see if I can get it to work for me without a full
re-installation.

Good luck Alan! Hope this is of help to all.

NICK
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   3 ==========================**

Date:  Fri, 23 Jul 2010 15:38:47 +0800
From:  Nicholas Lysaght <nicholasrf at gmail dot com>
Subject:  Re:  BootManager

Hi All.

Got my letter back from Doug. This is what he said:
-----------
"Pass on what you think might be useful. I wouldn't bother with Air
Boot. I think that will just make things more difficult down the road."
----------

I will now pass on what (hopefully) will be relevant:

---------------
>>>When Phase 1 of the install finished, and it tried to
>>>reboot, that's when the Win7 Boot Manager came
>up.

I would have done a Ctrl-Alt-Del at that point, to force it to go to
the BM menu, rather than trying to do an automatic boot (which gets you
to the windows boot manager). Once you get BM taught that eCS is the
default boot drive, it should work. You could also set that using LVM
in the BM setup.

Install windows, as it likes.
Use windows to shrink it's partitions
Use the windows version of DFSEE to verify that all is happiness, and
create the new partitions for eCS, leaving 7 Mb of empty space at the
very end of the disk (for BM, and if the disk is larger than about 500
GB, it will need to be 15 Mb). Write a new MBR, keeping the tables.
Now, install eCS, and when it comes to the point where you need to run
LVM, you should be able to install Boot Manger, and set up the the
bootable disks, and make BM startable. At that time, make the volume
that you wish to install to the default boot volume (not sure if that
will actually work, but it should be okay if you use Ctrl-Alt-Del if
windows BM shows it's ugly head).
Before continuing, format the rest of the eCS volumes as you want them.
Now let the install go, and it should work, but you need to watch the
first reboot to be sure that it goes to eCS, and not to windows boot
manager.
----------------------------

So there you have it. I have yet to try this one out myself, but it
would be great to keep our tools are within what we have.

Regards

NICK

On 23 July 2010 10:06, Nicholas Lysaght <nicholasrf at gmail dot com> wrote:
> Hi All.
>
> A bit of deja vu, after writing to Ed last night.
>
> On 23 July 2010 04:00, Ed Durrant <edurrant at durrant dot mine dot nu> wrote:
>> Mike O'Connor wrote:
>>>
>>> Ed Durrant wrote:
>>>>
>>>> Alan Duval wrote:
>>>>>
>>>>> I have just bought a new PC which has WIN 7 installed on a 500G Sata
>>>>> drive. I want to install eCS 2.0 and have read the Quick installation Guide
>>>>> which recommends resizing the Windows partition, installing BootManager and
>>>>> then making a logical partition to install eCS.
>>>>> DFSee shows the HD to have Free space primary of 1MB, then a Primary
>>>>> Inst-FSys NTFS partition of 100MB with the Volume name "System Rescue", then
>>>>> a primary Inst-FSys NTFS partition of 476838 MB  and this is followed by
>>>>> free space  PRI/LOG of 6.4 MB.
>>>>>
> So did I. Mine was a Compaq CQ322AN box, on sale at Harvey Norman. The
> web page is still available. This one only had a 320GiB HDD, with 3
> Primary Partitions, exactly as you have listed above, save the
> difference in size of the main windows partition. Interestingly, Alex
> Taylor's Manage Partition Manager did not pick up the Recovery/System
> Rescue Partition, but DFSee did.
>
> As I an writing now, I have a system that I devised and works for me,
> using Air Boot, and a system that Doug has sent over asking me to
> experiment with (that probably will work) that does not use Air Boot.
> More to come. :-)
>
>>>>> If I resize the 476838 partition to allow installation of eCS where will
>>>>> BootManager be installed?
>>>>> I had understood that BootManager had to be the first partition.
>>>>> Has anyone installed eCS 2.0 to a HD where WIN 7 is already installed
>>>>> and if so  have you had any problems booting WIN 7?
>>>>> Apparently it can make WIN 7 unbootable.
>>>>>
>>>>> Also I would like to install Ubuntu 10.4 on the same disk and add it to
>>>>> BootManager. If I make a partition for Ubuntu and mark it as root will Grub
>>>>> 2 be put in that partition or does Ubuntu put Grub at the start of the HD?
>>>>>
>>>> Hi Alan
>>>>
>>>>  Note that you can only have 4 primary partitions on a drive. The IBM BM
>>>> needs a Primary partition as does the extended partition that will include
>>>> your logical drives. Often when you buy a system that has recovery and/or
>>>> maintenance-utility partitions on the drive, you will find that you can
>>>> reduce the size of the windows partition only to find that you cannot create
>>>> a new partition in the freespace created!
>
> I can second that. Even when using Air Boot to the MBR, I found a
> Logical Partition assigned by me for eCs could be created but could
> not be Set Installable..the message "Boot Manager not found" seems to
> attest to this.
>
> Therefore I have some bad news. That Recovery Partition has to go.
> Before you do that, though (and I'm sure that has already been done),
> That Recovery Partition must be backed up and verified to DVD (in
> fact, it uses 2xDVD's).
>
>>>>
>>>> Boot manager does not have to be the first partition on the drive. I
>>>> often make it the last but I believe it can go anywhere as when you install
>>>> it the boot sector on the drive is modified to jump to the Boot Manager
>>>> whereever you put it.
>>>>
>>>> If you hit the problem I described in the first paragraph, you may want
>>>> to look at Airboot as your boot manager as it does not need a primary
>>>> partition to work.
>>>>
>>>>
>>> Hi Alan, Ed,
>>>
>>> Ed, doesn't Airboot have a problem with JFSBooting?
>>
>> Not sure it could have.
>
> In the method I made up (which is pretty ramshackle) no, it didn't.
>
>>>
>>> Although I haven't worked with Windows 7 (manipulated a disk with it
>>> installed on), I was under the impression that it also created an
>>> MSFT-specific primary partition (hidden - and which contains the real
>>> partitions on the disk - not the dummy MBR it shows third-party disk
>>> utilities)!
>>>
>> Windows 7 has emulated Linux distributions in that it "can" create separate
>> boot,  OS and application partitions for its install. On a pre-installed
>> system, these are almost always the same (C:) partition.
>>>
>>> From what you say there are currently only two primaries - you can ignore
>>> that first one of 1MB, (which leads me to think that this _is_ a
>>> GPT-partitioned disk, on which all cylinders are only 1MB, not the
>>> conventional 8MB when using geometry of 255 heads, 63 sectors per
>>> cylinder!), so that doesn't actually count as a primary, unless used by IBM
>>> BM in that position, BUT that assumes that IBM BM commences on head1 of that
>>> cylinder.
>>>
>>> So you should still be able to add IBM BM in the final cylinder of the
>>> disk, and create logical partitions for eCS and Linux in an extended primary
>>> (implicitly created when creating the logicals).
>>>
>>> I haven't installed Ubuntu 10.4, so don't know whether that yet has the
>>> option during a (regular) installation to have GRUB located within its own
>>> partition, rather than the default location of adjacent to the MBR sector
>>> (the first on the disk). some other Linux distributions do give one that
>>> option (e.g. PCLinuxOS), which doesn't screw up the Windows 7 booting.
>>>
>>> HTH
>>>
>>> Regards,
>>> Mike
>>>
>>
>>
>> --
>> Cheers/eCS2.0
>>
>> Ed
>>
>> Please checkout my podcasts at:
>> http://eComStationAustralia.podbean dot com or via iTunes
>> To subscribe - click this: http://eComStationAustralia.podbean dot com/feed
>>
>> --------------------------------------------------
>> 
>> http://www./melbpc/  -  The Melbourne OS/2 SIG
>===
>>
>
>  "Automatic" booting to anything should not be allowed. When
> installing, the Maintenance Console should be invoked on Phases 1 and
> 2, and even maybe 3....at least until the system gets settled. If
> using BM by itself, I did find that pressing Ctrl+Alt+Del after an
> automatic boot would bring up Boot Manager. I could continue to
> install eCs, but if I Used the Windows option on our BM, it would
> again default to that Windows Boot Menu.
>
> If you are at that position, I found (luckily) that the Recovery DVD
> will actually restore the Windows MBR (only), which saves trashing the
> whole thing.
>
> My system, with Air Boot, is this:
>
> 1) Go to the Sourceforge Address of Air Boot. Download the ISO version
> of it. Burn it to CD. It boots and install's Air Boot to your
> computer.
>
> 2) Using Windows Disk Shrinker, I was able to bludgeon the windows
> large partition back to about 148GiB....more than enough for what I
> want.
>
> 3) Kill the recovery partition (see earlier notes).
>
> 4) Start eCs Installation. Install our BM. Setup your logical
> partiton. Save it. Ensure it is Installable.
>
> 5) Remove the eCs Disk. Insert the Air Boot (AB) Disk. CAD. Install
> Air Boot. Optional: Test to see if Win7 still works.
>
> 6) Re-insert eCs Disk. Re-start installation, until the Installable
> Line shows (after Manage Partitions). Select TZ, Devices etc....start
> the installation.
>
> 7) Check "Invoke Maintenace" Console on Phase 1. When system stops,
> repeat #5 above.
>
> 8) Re-insert eCs Disk. AB will come up. Point it to the eCs install.
> Phase 2 should continue.
>
> 9) Repeat this same process again at the end of Phase 2 and (if
> neccessary) Phase 3.
>
> If all goes to plan (and, no doubt, I've probably left something
> important out), AB should work well (after a bit of customisation),
> and you can bot both win7 and eCs. It's a bit ramshackle, but it works
> for me. I saw a web page saying to try Air Boot, but had no idea how
> to go about it. Then, one night it just sorta "came"..I can't explain
> it.
>
> The non Air Boot system comes from Doug Bissett. Please give me a
> little time to find out if I have his permission to pass it on, and I
> will see if I can get it to work for me without a full
> re-installation.
>
>
> Good luck Alan! Hope this is of help to all.
>
> NICK
>
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   4 ==========================**

Date:  Fri, 23 Jul 2010 20:10:36 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  BootManager

Ed Durrant wrote:
> Mike O'Connor wrote:
>> Although I haven't worked with Windows 7 (manipulated a disk with it 
>> installed on), I was under the impression that it also created an 
>> MSFT-specific primary partition (hidden - and which contains the real 
>> partitions on the disk - not the dummy MBR it shows third-party disk 
>> utilities)!
>>
> Windows 7 has emulated Linux distributions in that it "can" create 
> separate boot,  OS and application partitions for its install. On a 
> pre-installed system, these are almost always the same (C:) partition.

Not what I was referring to:

Having been the one to unpack the item, I "saved" the out-of-the-box 
disk configuration setup from the EeePC-1000H bought by my NSW Homecare 
Services guy, John, just in case in case he decided to get himself a 
copy of eComStation. ASUS had partitioned the disk into an NTFS XP Home 
C: drive and an NTFS data drive D:. Additionally, there was a hidden 
39MB "Microsoft System"** partition. This partition which only holds 
details of the _real_ [EFI] partitions on the disk, GROWS!!

** Not to be equated with the %systemroot% partition in Windows!

You can see the graphical layout of the disk at the following URL:

http://picasaweb.google dot com dot au/majilok/EFIPartitionedDisksWin7PlusECSPlusLinux?authkey=Gv1sRgCKjaiauEi_7DowE&feat=directlink

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Fri, 23 Jul 2010 20:21:04 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  BootManager

Nicholas Lysaght wrote:
> Hi All.
>
> Got my letter back from Doug. This is what he said:
> -----------
> "Pass on what you think might be useful. I wouldn't bother with Air
> Boot. I think that will just make things more difficult down the road."
> ----------
>
> I will now pass on what (hopefully) will be relevant:
>
> ---------------
>   
>>>> When Phase 1 of the install finished, and it tried to
>>>> reboot, that's when the Win7 Boot Manager came up.
>
> I would have done a Ctrl-Alt-Del at that point, to force it to go to
> the BM menu, rather than trying to do an automatic boot (which gets you
> to the windows boot manager). Once you get BM taught that eCS is the
> default boot drive, it should work. You could also set that using LVM
> in the BM setup.
>
> Install windows, as it likes.
> Use windows to shrink it's partitions
> Use the windows version of DFSEE to verify that all is happiness, and
> create the new partitions for eCS, leaving 7 Mb of empty space at the
> very end of the disk (for BM, and if the disk is larger than about 500
> GB, it will need to be 15 Mb). Write a new MBR, keeping the tables.
> Now, install eCS, and when it comes to the point where you need to run
> LVM, you should be able to install Boot Manger, and set up the the
> bootable disks, and make BM startable. At that time, make the volume
> that you wish to install to the default boot volume (not sure if that
> will actually work, but it should be okay if you use Ctrl-Alt-Del if
> windows BM shows it's ugly head).
> Before continuing, format the rest of the eCS volumes as you want them.
> Now let the install go, and it should work, but you need to watch the
> first reboot to be sure that it goes to eCS, and not to windows boot
> manager.
> ----------------------------
>
> So there you have it. I have yet to try this one out myself, but it
> would be great to keep our tools are within what we have.
>
> Regards
>
> NICK
>
>
>   
Hi Nick,

Those are my own sentiments - have been for a very long time (5+ years
now - when System Commander failed to boot to JFS-bootable volumes!)

Only problem is to have the installation media for W7 that will accept a
DOS-partitioned disk, and not force an EFI system.

I was about to respond with the following a little earlier - but I was
chasing the following image I have since put up on my (Google) Picasaweb
page: [long link!]

{http://picasaweb.google dot com dot au/majilok/EFIPartitionedDisksWin7PlusECSPlusLinux?authkey=Gv1sRgCKjaiauEi_7DowE&feat=directlink}

> Hi Nick,
>
> How does that AB procedure go with adding a Ubuntu 10.4 installation 
> that Alan would like also?
>
> Did you carefully examine those sectors after the MBR in the first 
> track of the disk (e.g. with GU's diskedit.exe), before shrinking the 
> Win7 volume? What geometry did DFSee show for the Win7 volume? Is it a 
> 1MB per cylinder geometry? Was it JFS or HPFS?
>

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of :
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===